from core.models import Plan


def assemble_plan_map(product_id_filter=None):
    """
    Get all the plans from the database and create an object Stripe wants.
    """
    line_items = []
    for plan in Plan.objects.all():
        if product_id_filter:
            if plan.product_id != product_id_filter:
                continue
        line_items.append(
            {
                "price": plan.product_id,
                "quantity": 1,
            }
        )
    return line_items
